summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPatrick McDermott <patrick.mcdermott@libiquity.com>2021-01-16 06:26:02 (EST)
committer Patrick McDermott <patrick.mcdermott@libiquity.com>2021-01-16 06:41:23 (EST)
commitda875ea4111b71a2e52e655eaccfa88f34f0175d (patch)
tree8e5cce8328b216e2b569d2b7c5bd9404354d0d1e
parent5be28ec28f7eb8aaa798f95d0ea27a18d8e4b8a4 (diff)
installer/chroot: New installer backend
This installer doesn't support installing to a block device.
-rw-r--r--src/installer/chroot.sh37
-rw-r--r--src/installer/local.mk2
-rw-r--r--src/local.mk1
3 files changed, 40 insertions, 0 deletions
diff --git a/src/installer/chroot.sh b/src/installer/chroot.sh
new file mode 100644
index 0000000..dcdadb4
--- /dev/null
+++ b/src/installer/chroot.sh
@@ -0,0 +1,37 @@
+# chroot installer
+#
+# Copyright (C) 2021 Patrick McDermott
+#
+# This file is part of the ProteanOS Development Kit.
+#
+# The ProteanOS Development Kit is free software: you can redistribute
+# it and/or modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation, either version 3 of the
+# License, or (at your option) any later version.
+#
+# The ProteanOS Development Kit is distributed in the hope that it
+# will be useful, but WITHOUT ANY WARRANTY; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+# See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with the ProteanOS Development Kit. If not, see
+# <http://www.gnu.org/licenses/>.
+
+installer_chroot_main()
+{
+ local arch="${1}"
+ local plat="${2}"
+ local root="${3}"
+ local foreign="${4}"
+ shift 4
+
+ install_system "${arch}" "${plat}" "${root}" "${foreign}" || return 1
+ return 0
+}
+
+installer_chroot_register()
+{
+ register_installer 'chroot'
+}
+__init installer_chroot_register
diff --git a/src/installer/local.mk b/src/installer/local.mk
new file mode 100644
index 0000000..9b79ba8
--- /dev/null
+++ b/src/installer/local.mk
@@ -0,0 +1,2 @@
+prokit_SOURCES += \
+ src/installer/chroot.sh
diff --git a/src/local.mk b/src/local.mk
index bfd93f8..32c69bc 100644
--- a/src/local.mk
+++ b/src/local.mk
@@ -25,3 +25,4 @@ prokit_SOURCES += \
include $(top_srcdir)/src/cmd/local.mk
include $(top_srcdir)/src/profile/local.mk
include $(top_srcdir)/src/package/local.mk
+include $(top_srcdir)/src/installer/local.mk